
QGIS Application - Bug report #19879

It's not possible to override system locale

2018-09-18 11:50 AM - Andrea Giudiceandrea

Status: Closed

Priority: Normal

Assignee: Jürgen Fischer

Category: GUI

Affected QGIS version:3.3(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27703

Description

In QGIS 3.3.0-master it seems impossible to change the user interface language.

My system locale is Italian (Windows 7 64 bit).

Checking "Override system locale" checkbox and setting "American English" (or any other language) in "User Interface Language"

dropdown menu and then restarting QGIS, the user interface is always in Italian language.

Also tested with a new profile.

The bug doen't occur in QGIS 3.2.2 on the same system.

Related issues:

Related to QGIS Application - Bug report # 19853: Untranslated strings in QGIS Closed 2018-09-16

Related to QGIS Application - Bug report # 19916: Localization is broken in L... Closed 2018-09-21

Duplicated by QGIS Application - Bug report # 18951: Layer-symbology menu do ... Closed 2018-05-15

Associated revisions

Revision 9c5d397b - 2018-09-22 07:50 PM - Jürgen Fischer

reorder application initialization (fixes #19879, #19916, followup d6795818)

Revision 469b4b4a - 2018-09-24 12:22 AM - Nyall Dawson

Revert "reorder application initialization (fixes #19879, #19916, followup d6795818)"

This reverts commit 9c5d397b4d4ce12cb81f05955760a18c213a8566

The commit broke every test on Travis ;)

Revision 6ecb08c4 - 2018-09-24 02:13 AM - Jürgen Fischer

Revert "Revert "reorder application initialization (fixes #19879, #19916, followup d6795818)""

This reverts commit 469b4b4a57fb2c30441b5de393662cdde36031b2.

History
#1 - 2018-09-18 03:20 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#2 - 2018-09-19 09:04 AM - Jürgen Fischer

- Related to Bug report #19853: Untranslated strings in QGIS added

#3 - 2018-09-19 11:33 AM - Jürgen Fischer

- Assignee deleted (Alessandro Pasotti)

#4 - 2018-09-20 03:11 PM - Tomas Straupis

On linux I'm seeing an opposite thing: my locale is Lithuanian, but QGIS always shows English UI.

I've tried asking to override system locale in Settings->Options where QGIS correctly indicates, that my locale is Lithuanian, but UI stays English even

after restart of QGIS.

(Worked correctly on master till ~this Monday)

#5 - 2018-09-21 08:46 PM - Borys Jurgiel

See #19916

#6 - 2018-09-21 08:46 PM - Borys Jurgiel

- Related to Bug report #19916: Localization is broken in Linux added

#7 - 2018-09-21 11:26 PM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#8 - 2018-09-22 07:51 PM - Jürgen Fischer

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|9c5d397b4d4ce12cb81f05955760a18c213a8566.

#9 - 2018-10-15 09:57 AM - Jürgen Fischer

- Duplicated by Bug report #18951: Layer-symbology menu do not change in any language added
